MDWParserInternal::ListProperties Struct Reference

Internal: the list properties of a MDWParser. More...

## Public Member Functions

| ListProperties ()
| constructor More...
void | updateHeadingList ()
| updates the heading list More...
MWAWListLevel | getLevel (int level) const
| returns a list level More...

## Public Attributes

int | m_startListIndex
| the first list index More...
int | m_headingStyle
| the heading labels style More...
bool | m_headingFullSubLevels
| true if heading labels show all sub level More...
std::vector< MWAWListLevel > | m_headingListLevels
| the heading list More...
int | m_listLevelsRepeatPos
| the position used to repeat level More...
bool | m_showFirstLevel
| true if we show the level 1 label More...
bool | m_useHeadingStyle
| true if we need to use heading style More...

## Detailed Description

Internal: the list properties of a MDWParser.

## Constructor & Destructor Documentation

MDWParserInternal::ListProperties::ListProperties | ( |  | ) |

inline

constructor

## Member Function Documentation

MWAWListLevel MDWParserInternal::ListProperties::getLevel | ( | int | level | ) | const

returns a list level

Referenced by MDWParserInternal::ZoneInfo::updateListId().

void MDWParserInternal::ListProperties::updateHeadingList | ( |  | ) |

updates the heading list

## Member Data Documentation

bool MDWParserInternal::ListProperties::m_headingFullSubLevels

true if heading labels show all sub level

Referenced by getLevel().

std::vector<MWAWListLevel> MDWParserInternal::ListProperties::m_headingListLevels

the heading list

Referenced by getLevel(), and updateHeadingList().

int MDWParserInternal::ListProperties::m_headingStyle

the heading labels style

Referenced by updateHeadingList(), and MDWParserInternal::ZoneInfo::updateListId().

int MDWParserInternal::ListProperties::m_listLevelsRepeatPos

the position used to repeat level

Referenced by updateHeadingList().

bool MDWParserInternal::ListProperties::m_showFirstLevel

true if we show the level 1 label

Referenced by getLevel(), and MDWParserInternal::ZoneInfo::updateListId().

int MDWParserInternal::ListProperties::m_startListIndex

the first list index

Referenced by MDWParserInternal::ZoneInfo::updateListId().

bool MDWParserInternal::ListProperties::m_useHeadingStyle

true if we need to use heading style

Referenced by MDWParserInternal::ZoneInfo::updateListId().

The documentation for this struct was generated from the following file:

- MDWParser.cxx